Name:           vala
Version:        0.0.8
Release:        1%{?dist}
Summary:        A modern programming language for GNOME

Group:          Development/Languages
License:        LGPL
URL:            http://vala.paldo.org/
Source0:        http://www.paldo.org/vala/vala-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel flex bison
#Requires:       

%description
Vala is a new programming language that aims to bring modern programming
language features to GNOME developers without imposing any additional
runtime requirements and without using a different ABI compared to
applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala source
code. It's also planned to generate GIDL files when gobject-
introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the GObject
type system.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
Development files for %{name}. This is not necessary for using the %{name}
compiler.


%prep
%setup -q


%build
%configure
# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libvala.la


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_bindir}/valac
%{_datadir}/vala
%{_libdir}/libvala.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vala-1.0
%{_libdir}/libvala.so
%{_libdir}/pkgconfig/vala-1.0.pc



%changelog
* Sun Mar 25 2007 Michel Salim <michel.salim@gmail.com> - 0.0.8-1
- Update to 0.0.8

* Wed Mar  7 2007 Michel Salim <michel.salim@gmail.com> - 0.0.7-1
- Update to 0.0.7

* Wed Feb 28 2007 Michel Salim <michel.salim@gmail.com> - 0.0.6-1
- Update to 0.0.6

* Mon Nov  6 2006 Michel Salim <michel.salim@gmail.com> - 0.0.5-1
- Initial package
